Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.document
Interface IndexableDocument

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Document, Encodable, Identifiable, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable

All Known Subinterfaces:
  Concept, Identity

All Known Implementing Classes:
  AbstractConcept, AbstractIdentity, AbstractIndexableDocument

public interface IndexableDocument
extends Document, org.apache.cocoon.xml.XMLConsumer

An indexable document is a document that can be indexed with SDX.

Such a document must be able to receive SAX events that will build the fields to index, and return thoses fields to the caller.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from interface fr.gouv.culture.sdx.document.Document
`CLASS_NAME_SUFFIX, DOCTYPE_BINARY, DOCTYPE_GROUP, DOCTYPE_HTML, DOCTYPE_USER, DOCTYPE_XML`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Method Summary
`void` | `addAdditionalSystemFields(org.apache.lucene.document.Document doc)` Some additional system fields adding to the Lucene document
`java.util.Enumeration` | `getAttachedDocuments()` Returns an enumeration of the documentsN attached to this document
`float` | `getBoost()`
`java.util.Enumeration` | `getFieldValues()` Returns an enumeration of Property, one for each field defined.
`AbstractIndexableDocument.StoreHandler` | `getStoreHandler()`
`java.util.Enumeration` | `getSubDocuments()` Returns an enumeration of the sub(Indexable) documents attached to this document
`IndexableDocument` | `getTransformedDocument()` Returns the transformed document
`void` | `resetAttachedDocuments()` Reinits the Vector of attached documents
`void` | `setBoost(float boost)`
`void` | `setMessageHandler(org.xml.sax.ContentHandler handler)`
`void` | `setTransformedDocument(byte[] content)` Allows a transformed document to be built from a byte array
`void` | `setTransformedDocument(java.io.File file)` Allows a transformed document to be built from a file
`void` | `setXMLFieldList(java.util.HashMap fieldList)` Sets the XMLFieldList of the DocumentBase where the document is stored.
`void` | `setXMLTransformerHandler(javax.xml.transform.sax.TransformerHandler xmlFieldTransformer)` Sets the XMLTransformer used to parse the xml fields
`void` | `startIndexing(org.apache.excalibur.xml.sax.SAXParser parser, org.apache.cocoon.xml.XMLConsumer consumer)` Starts the indexing process.

Methods inherited from interface fr.gouv.culture.sdx.document.Document
`getDocType, getLength, getMimeType, getPreferredFilename, getRepositoryForStorage, getURL, openStream, save, setContent, setContent, setContent, setContent, setId, setIdGenerator, setIdGenerator, setMimeType, setPreferredFilename, setRepositoryForStorage, setURL`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Method Detail

### getFieldValues

    public java.util.Enumeration getFieldValues()

  Returns an enumeration of Property, one for each field defined.

### startIndexing

    public void startIndexing(org.apache.excalibur.xml.sax.SAXParser parser,
                              org.apache.cocoon.xml.XMLConsumer consumer)
                       throws SDXException

  Starts the indexing process.

  Throws:
    `SDXException`

### getAttachedDocuments

    public java.util.Enumeration getAttachedDocuments()

  Returns an enumeration of the documentsN attached to this document

### getSubDocuments

    public java.util.Enumeration getSubDocuments()

  Returns an enumeration of the sub(Indexable) documents attached to this document

### setTransformedDocument

    public void setTransformedDocument(byte[] content)
                                throws SDXException

  Allows a transformed document to be built from a byte array

  Throws:
    `SDXException`

### setTransformedDocument

    public void setTransformedDocument(java.io.File file)
                                throws SDXException

  Allows a transformed document to be built from a file

  Throws:
    `SDXException`

### getTransformedDocument

    public IndexableDocument getTransformedDocument()

  Returns the transformed document

### getStoreHandler

    public AbstractIndexableDocument.StoreHandler getStoreHandler()

### setMessageHandler

    public void setMessageHandler(org.xml.sax.ContentHandler handler)

### setBoost

    public void setBoost(float boost)

### getBoost

    public float getBoost()

### resetAttachedDocuments

    public void resetAttachedDocuments()

  Reinits the Vector of attached documents

### setXMLFieldList

    public void setXMLFieldList(java.util.HashMap fieldList)

  Sets the XMLFieldList of the DocumentBase where the document is stored. give each name of the fields with a XML type.

### setXMLTransformerHandler

    public void setXMLTransformerHandler(javax.xml.transform.sax.TransformerHandler xmlFieldTransformer)

  Sets the XMLTransformer used to parse the xml fields

### addAdditionalSystemFields

    public void addAdditionalSystemFields(org.apache.lucene.document.Document doc)

  Some additional system fields adding to the Lucene document

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.